<?php
namespace Teknisa\PED\Services;

use Teknisa\PED\Modules\Pedidos\Factories\ped00100PedidosFactory;
use Zeedhi\Framework\DTO\Response\Error;

class ped00100PedidosService {

    protected $factory;

	public function __construct($factory){
	    $this->ped00100PedidosFactory = $factory;
	}

    public function getComissaoVend($pedido, $item, $request, $response) {
        $this->ped00100PedidosFactory->getComissaoVend($pedido, $item, $request, $response);
    }

    public function getImpostoItem($pedido, $item, $filial, $request, $response) {
        $this->ped00100PedidosFactory->getImpostoItem($pedido, $item, $filial, $request, $response);
    }
}