var Ped22000_relacionamento_produtos_importacao_Controller = function(Ped22000_relacionamento_produtos_importacao_Service, ScreenService, templateManager, Endereco, ZhFilterPreferences, General, ZHPromise, metaDataFactory, MessageService){

    this.openFilter = function(widget) {
        var promises = [];
        promises.push(ZhFilterPreferences.setOriginalFilter(widget.id));
        promises.push(ZhFilterPreferences.openFilterWidget(widget));
    };
    this.visibilidadewidgetProdImportado = function(){
        var widgetProdImportado = templateManager.container.getWidget('widgetProdImportado');
        widgetProdImportado.activate();
        widgetProdImportado.reload();
        
    };
    
    this.salvaProdImp = function(widget){

        var data = {};
 
        if(widget.currentRow.__is_new){
            data[0]={
                CDPRODIMPO: widget.currentRow.CDPRODUTO,
                CDPRODORIG: widget.getParent().currentRow.CDPRODUTO,
                __is_new:true
            };
            Ped22000_relacionamento_produtos_importacao_Service.salvaDadosRelProdImp(data).then(function(success){
                
                ScreenService.showMessage('Produto Importado salvo com sucesso.');
                ScreenService.closeSwipe();
                widget.reload().then(function(){
                    widget.activate();
                });
  
            }.bind(this)).catch(function(fail){
                ScreenService.showMessage('Impossível adicionar. Produto já cadastrado.');
                widget.reload().then(function(){
                    widget.activate();
                });
                
            }.bind(this));
            
        }
    };
    
    this.validaProdImp = function(widget){
        if(widget.isValid()){
            var prodOrigem = widget.getParent().currentRow.CDPRODUTO;
            
            var filter = [
                {
                    "name":"CDPRODORIG",
                    "operator":"=",
                    "value": prodOrigem
                }
            ];
            General.callRestEngine('ped#/crud/relacprodimpsc', 'FilterData', filter).then(function(callback){
                var codigos= callback.dataset.relacprodimpsc;
                var foundCodigo= codigos.find(element=>element.CDPRODORIG === prodOrigem);
                
                if (foundCodigo != undefined){
                    ScreenService.showMessage('Não é possível relacionar um produto a dois ou mais produtos de integração.');
                    ScreenService.closeSwipe();
                    widget.reload().then(function(){
                        widget.activate();
                    });
                        
                }else{
                    this.salvaProdImp(widget);
                }
               
            }.bind(this));
        }
        
    };



};
Configuration(function(ContextRegister){
    ContextRegister.register('Ped22000_relacionamento_produtos_importacao_Controller', Ped22000_relacionamento_produtos_importacao_Controller);
});